Appointment

The Appointment resource represents scheduled healthcare events among patients and practitioners within the Halaxy platform

This resource supports the retrieval of appointments, including details such as participants and times.


Endpoints

EndpointsOperationsDescription
GET /main/AppointmentList AppointmentsRetrieve a list or collection of appointments
GET /main/Appointment/{id}Get AppointmentRetrieve a specific appointment
POST/main/Appointment/$bookBook AppointmentCreate an appointment
PATCH /main/Appointment/{id}Update AppointmentEdit specific details for an existing appointment
GET /main/Appointment/$findFind Available AppointmentsRetrieves a list of available appointments from the Slot resource

Schema

PropertyDescription
idstring

The appointment ID in Halaxy
descriptionstring

The appointment comments
startdate-time required

When the appointment is to take place
enddate-time required

When the appointment is to conclude
minutesDurationinteger

The duration of the appointment in minutes
createddate-time

The date that this appointment was first created
supportingInformation

array of objects

Additional information about the appointment

HealthcareService

The appointment type used

"reference": "/main/HealthcareService/123456"

"type": "HealthcareService"

See: HealthcareService

location-type

The location type for the appointment

e.g. "clinic" "telehealth" "online"``"phone" "organization"

"name": "location-type"

"valueCode": "clinic"

participant

array of objects

The participants involved in the appointment

PRACTITIONER

type defaults to ATND / attender

How the practitioner participated in this appointment

See: Participant Type codes

actor Reference(PractitionerRole)

The practitioner at the clinic location booked for this appointment

"reference": "/main/PractitionerRole/PR-1234567"

"type": "PractitionerRole"

See: PractitionerRole

PATIENT

actor Reference(Patient)

The patient being treated for this appointment

"reference": "/main/Patient/123456789"

"type": "Patient"

See: Patient

appointment-participant-status HALAXY API EXTENSION

The attendance status of the patient for this appointment

e.g. "attended" "booked" "confirmed" "cancelled"

See: Appointment status

appointment-participant-invoice HALAXY API EXTENSION

The invoice for the appointment

"reference": "/main/Invoice/1234567890"

"type": "Invoice"

See: Invoice